{ pkgs, ... }:
{
	networking.wireless.iwd = {
		enable = true;
		settings = {
			General = {
				AddressRandomization = "network";
				# EnableNetworkConfiguration = false;

				RoamThreshold = -70;
				RoamThreshold5G = -90;
				RoamRetryInterval = 10;
			};
			# Network.EnableIPv6 = true;

			Rank.BandModifier5Ghz = 5.0;
			# Scan.DisablePeriodicScan = true;
		};
	};

	systemd.network.networks.wifi = {
		matchConfig = {
			Name = "wlan0";
			SSID = "!HotoHo-v6";
		};
		DHCP = "ipv4";
		networkConfig = {
			IPv6AcceptRA = true;
			IPv6PrivacyExtensions = true;
		};
	};
	systemd.network.networks.wifi-v6 = {
		matchConfig = {
			Name = "wlan0";
			SSID = "HotoHo-v6";
		};
		networkConfig = {
			DNSSEC = false;
			IPv6AcceptRA = true;
			IPv6PrivacyExtensions = true;
		};
	};
	systemd.network.networks.eth = {
		matchConfig.Name = "enp*";
		DHCP = "ipv4";
		networkConfig = {
			IPv6AcceptRA = true;
			IPv6PrivacyExtensions = true;
		};
	};

	hardware.bluetooth.enable = true;
	sound.enable = true;

	environment.systemPackages = with pkgs; [
		iw
	];

	# smartcard
	services.pcscd.enable = true;
}
