{pkgs, ...}:
{
	home.packages = with pkgs; [
		(python3.withPackages(ps: with ps; [
			ansible
			dnspython
			youtube-dl
		]))
		killall
		htop
		mosh
		git
		git-lfs
		tig
		tea
		glab
		figlet
		grml-zsh-config
		tmux
		w3m
		#neovim
		xh
		liboping # fix it
		mtr
		colordiff
		git-annex
		direnv
		pure-prompt
		#vimPlugins.nvim-lspconfig
		#vimPlugins.nerdtree
		go gcc libcap
		go-langserver
		yarn
		pwgen
		pass-wayland
		gotify-cli
		glow
		ffmpeg
		# devOps
		nixopsUnstable
	];

	programs.zsh = {
		enable = true;
		enableAutosuggestions = true;
		# broken: enableSyntaxHighlighting = true;
		# grml and pure enabled ....
	};

	programs.neovim = {
		enable = true;
		extraConfig = ''
		syntax on
		set number relativenumber
		'';
		plugins = with pkgs.vimPlugins; [
			nvim-lspconfig
			airline
			Syntastic
			{
				plugin = nerdtree;
				config = "map <C-n> :NERDTreeToggle<CR>";
			}
		];
	};
}
